summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2016-07-30 11:28:36 +0200
committerPacho Ramos <pacho@gentoo.org>2016-07-30 12:49:03 +0200
commit9fbc38f8dc6efe1db3ffe3619e7894fe25d7f880 (patch)
tree66b60ba176ee58539c2d075b15938cdcb859b286 /app-accessibility
parentapp-accessibility/caribou: Drop old (diff)
downloadgentoo-9fbc38f8dc6efe1db3ffe3619e7894fe25d7f880.tar.gz
gentoo-9fbc38f8dc6efe1db3ffe3619e7894fe25d7f880.tar.bz2
gentoo-9fbc38f8dc6efe1db3ffe3619e7894fe25d7f880.zip
app-accessibility/caribou: Version bump
Package-Manager: portage-2.3.0
Diffstat (limited to 'app-accessibility')
-rw-r--r--app-accessibility/caribou/Manifest1
-rw-r--r--app-accessibility/caribou/caribou-0.4.21.ebuild92
2 files changed, 93 insertions, 0 deletions
diff --git a/app-accessibility/caribou/Manifest b/app-accessibility/caribou/Manifest
index c7892866b83..db747950202 100644
--- a/app-accessibility/caribou/Manifest
+++ b/app-accessibility/caribou/Manifest
@@ -1 +1,2 @@
DIST caribou-0.4.20.tar.xz 415148 SHA256 3a6664d5698c2b62a6c1c115743630d339ac237a7324bb354f2e5d55b4bb50d9 SHA512 e72a18462268278e0c07f178085eeff0e65ece6a9bf2f667c4ca66a66d173b39c68843c537ba6e8bd056c21575be592cece5f4f752f324c7f0db44fe28c45504 WHIRLPOOL e718ab799dcb8474c813e22fae1445d5a299d6c14dfa880cbe3da55793db867a8e5b5ef442a99e184a75a5b6fbf4d5719821a901d75ba69dba74db1d3473c437
+DIST caribou-0.4.21.tar.xz 426516 SHA256 9c43d9f4bd30f4fea7f780d4e8b14f7589107c52e9cb6bd202bd0d1c2064de55 SHA512 5fc0cf54a1cad50d41e659adbbb932b51d69d18951562f87497e99aaae17ac72b453b759dd7289ff8f68a79574dfce510b9de6bedc61408c14cb48b83eaf08da WHIRLPOOL 530a1b061cdadb12c31ad2e7b5686ca21db3da8066579fc6ba25a2b26418febeb58224eda61f27977507ed46db1cdbfd6afe4b555a970acdf9a580b30ac2174e
diff --git a/app-accessibility/caribou/caribou-0.4.21.ebuild b/app-accessibility/caribou/caribou-0.4.21.ebuild
new file mode 100644
index 00000000000..8b7dee1227a
--- /dev/null
+++ b/app-accessibility/caribou/caribou-0.4.21.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+PYTHON_REQ_USE="xml"
+
+inherit gnome2 python-r1
+
+DESCRIPTION="Input assistive technology intended for switch and pointer users"
+HOMEPAGE="https://wiki.gnome.org/Projects/Caribou"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+IUSE=""
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="
+ app-accessibility/at-spi2-core
+ >=dev-python/pygobject-2.90.3:3[${PYTHON_USEDEP}]
+ >=x11-libs/gtk+-3:3[introspection]
+ x11-libs/gtk+:2
+ >=dev-libs/gobject-introspection-0.10.7:=
+ dev-libs/libgee:0.8
+ dev-libs/libxml2
+ >=media-libs/clutter-1.5.11:1.0[introspection]
+ x11-libs/libX11
+ x11-libs/libxklavier
+ x11-libs/libXtst
+"
+# gsettings-desktop-schemas is needed for the 'toolkit-accessibility' key
+# pyatspi-2.1.90 needed to run caribou if pygobject:3 is installed
+# librsvg needed to load svg images in css styles
+RDEPEND="${COMMON_DEPEND}
+ dev-libs/glib[dbus]
+ >=dev-python/pyatspi-2.1.90[${PYTHON_USEDEP}]
+ >=gnome-base/gsettings-desktop-schemas-3
+ gnome-base/librsvg:2
+ sys-apps/dbus
+"
+DEPEND="${COMMON_DEPEND}
+ dev-libs/libxslt
+ >=dev-util/intltool-0.35.5
+ virtual/pkgconfig
+"
+
+src_prepare() {
+ # FIXME: Now this supports python3 too...
+ # delete custom PYTHONPATH, useless on Gentoo and potential bug source
+ # + caribou is python2 only so fix the shell scripts
+# sed -e '/export PYTHONPATH=.*python/ d' \
+# -e "s:@PYTHON@:${EPREFIX}/usr/bin/python2:" \
+# -i bin/{antler-keyboard,caribou-preferences}.in ||
+# die "sed failed"
+
+ gnome2_src_prepare
+
+ prepare_caribou() {
+ mkdir -p "${BUILD_DIR}" || die
+ }
+ python_foreach_impl prepare_caribou
+}
+
+src_configure() {
+ ECONF_SOURCE="${S}" python_foreach_impl run_in_build_dir \
+ gnome2_src_configure \
+ --disable-docs \
+ --disable-static \
+ --enable-gtk3-module \
+ --enable-gtk2-module \
+ VALAC=$(type -P true)
+ # vala is not needed for tarball builds, but configure checks for it...
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir gnome2_src_compile
+}
+
+src_test() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ python_foreach_impl run_in_build_dir gnome2_src_install
+
+ # https://bugzilla.gnome.org/show_bug.cgi?id=769323
+ dodoc AUTHORS NEWS README # ChangeLog simply points to git log
+}